[BITS 16]
[ORG 0x0100]			

[SEGMENT .text]
	
; Instrues bsicas para o bom andamento do programa do primeiro setor 

	mov ax,0		;    Inicia
	mov bx,0		;      os 
	mov cx,0		;    quatro
	mov dx,0		; registradores
	mov ax,cs		; Copia cs para ax. cs e ip jah veem iniciados.
	mov ds,ax		; copia o cs para ds
	mov ss,ax		; copia o cs para ss
	mov es,ax		; copia o cs para es
	mov sp,0F000h		; inicia a pilha com um valor razoavelmente alto
	xor ax,ax		; limpa ax!

; Fim das instrues bsicas. Iniciando o programa em si:
	
	mov ax,1234h		; Escolhe um lugar na memria
	mov es,ax		; para o programa rodar.
        mov ah,02h		; Coloca os dados do setor no lugar desejado de memria
        mov al,17		; Numero de setores a serem lidos
        mov ch,0		; Track
        mov cl,2               	; Sector
        mov dh,0                ; Head Number
        mov dl,0		; 0 = drive de diskete
	mov bx,0100h		; Escolhe o local onde ser rodado o programa. 
				; No padro DOS, [ORG 0x0100] 
	int 13h			; chama a int 13 para ler na memria

  	pushf			; coloca as flags na pilha
  	mov ax,1234h		; coloca o endereo de memria escolhido
  	push ax			; acima na pilha, onde o programa est.
  	mov ax,0100h		; coloca o endereo de offset escolhido
  	push ax			; acima na pilha, para o [ORG XXXXXX].
  	iret			; Joga tudo para ser rodado!
	
