[BITS 16]
[ORG 0x0100]

[SEGMENT .text]

; Aqui temos o carregamento de um arquivo chamado prog1.com no primeiro setor
; do disquete.
		
	mov ah,3Dh		; servio da 21h para abrir arquivo
	mov al,00h		; o arquivo ser aberto com permisso de ler apenas
	mov dx,arkivo1		; nome do arquivo a ser lido (prog1.com)
	int 21h			; chama a int 21h

	mov dx,msg1		; coloca mensagem de erro Abrir Arquivo
	jc  Pulo		; se o carry for 1, deu pau. OBS: Pulo muito longo, usei uma ponte!

	mov [pontero],ax	; coloca o file handle em pontero
	xor ax,ax		; limpa ax
	
	mov ah,3Fh		; servio da 21h para abrir arquivo
	mov bx,[pontero]	; copia o file handle contido em pontero para bx
	mov cx,512		; teremos at 512 bytes lidos
	mov dx,bloko		; e ser alocado na memria reservada pela varivel bloko
	int 21h			; chama a int 21h
	
	mov dx,msg2		; coloca mensagem de erro Ler Arquivo
	jc  Pulo		; se o carry for 1, deu pau. OBS: uso pulo pq senaum naum ia
	
	xor ax,ax		; limpa ax

	;; Faz a assinatura
	mov al,0x55		; ajusta os 2 bytes do bloko para ser identificado como boot
	mov [ds:bloko+510], al	; Primeiro Byte
	mov al,0xAA
	mov [ds:bloko+511], al	; Segundo Byte
			
	xor ax,ax		; limpa ax
	
        mov ah,03h		; coloca os dados da memria no setor desejado
        mov al,1		; numero de setores a serem lidos
        mov ch,0		; track
        mov cl,1               	; sector
        mov dh,0                ; head number
        mov dl,0		; 0 = drive de diskete
	mov bx,bloko         	; mov ES:BX
	int 13h

	mov dx,msg4		; coloca mensagem de erro Copiar para Setor
	jc msg_erro		; se o carry for 1, deu pau

	xor ax,ax		; limpa ax

; -------------
	jmp Pula_o_pulo		; PONTE!!!
Pulo:				; Ignore 
	jmp msg_erro		; essa
Pula_o_pulo:			; parte!!!
; ------------- 
	
	mov ah,3Eh		; servio da 21h para fechar arquivo
	mov bx,[pontero]	; seleciona o file handle
	int 21h			; chama a int 21h

	mov dx,msg3		; coloca mensagem de erro Fechar Arquivo
	jc  msg_erro		; se o carry for 1, deu pau

; Aqui comea o carregamento do segundo arquivo, prog2.com, que pode ter no mximo
; 8704 bytes (8,5Kb), q eh o que cabe em 17 setores. Caso o arquivo prog2.com naum
; exista, essa parte ser pulada para o fim do programa.
	
	mov ah,3Dh		; servio da 21h para abrir arquivo
	mov al,00h		; o arquivo ser aberto com permisso de ler apenas
	mov dx,arkivo2		; nome do arquivo a ser lido (prog2.com)
	int 21h			; chama a int 21h

	mov dx,msg5		; coloca mensagem de erro Abrir Arquivo
	jc  msg_erro		; se o carry for 1, soh carrega prog1.com, pois
				; prog2.com naum existe. 

	mov [pontero],ax	; coloca o file handle em pontero
	xor ax,ax		; limpa ax
	
	mov ah,3Fh		; servio da 21h para abrir arquivo
	mov bx,[pontero]	; copia o file handle contido em pontero para bx
	mov cx,8704		; teremos at 8704 bytes lidos
	mov dx,blokao		; e ser alocado na memria reservada pela varivel blokao
	int 21h			; chama a int 21h	
	
	xor ax,ax		; limpa ax
	
        mov ah,03h		; coloca os dados da memria no setor desejado
        mov al,17		; numero de setores a serem lidos
        mov ch,0		; track
        mov cl,2               	; sector
        mov dh,0                ; head number
        mov dl,0		; 0 = drive de diskete
	mov bx,blokao         	; mov ES:BX
	int 13h			; chama a int 13h para copiar

	mov dx,msg4		; coloca mensagem de erro Copiar para Setor
	jc msg_erro		; se o carry for 1,deu pau

	xor ax,ax		; limpa ax
	
	mov ah,3Eh		; servio da 21h para fechar arquivo
	mov bx,[pontero]	; seleciona o file handle
	int 21h			; chama a int 21h

	mov dx,msg3		; coloca mensagem de erro Fechar Arquivo
	jc  msg_erro		; se o carry for 1, deu pau

Fim:		
	int 20h			; sai do programa
	
msg_erro:			; imprime string em dx e sai do programa
	mov ah,09h
	int 21h			; imprime string
	int 20h			; sai do programa

		
[SEGMENT .data]
	
	pontero dw 0
	arkivo1 db "prog1.com",0
	arkivo2 db "prog2.com",0
	bloko resb 512
	blokao resb 8704
	msg1 db "Naum consegui abrir o arkivo prog1.com!$"
	msg2 db "Naum consegui ler o arkivo!$"
	msg3 db "Naum consegui fechar o arkivo!$"
	msg4 db "Naum consegui copiar para o setor desejado!$"
	msg5 db "O programa soh carregou o arquivo prog1.com!$"